import { Node } from 'prosemirror-model';
type PMNodeJSON = {
    type: string;
    attrs?: Record<string, any>;
    content?: PMNodeJSON[];
    text?: string;
};
export type TransformFn = (node: PMNodeJSON) => void;
export declare class ProseMirrorTransformer {
    private readonly _transformers;
    constructor(fns: TransformFn[]);
    transform(doc: Node): Node;
    transformJSON(node: PMNodeJSON): void;
}
export {};
